Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.controls.events.generic
Class GenericTrackingEvent

    java.lang.Object
      com.bea.p13n.property.AbstractConfigurableEntity
          com.bea.p13n.events.Event
              com.bea.p13n.tracking.events.TrackingEvent
                  com.bea.p13n.controls.events.generic.GenericTrackingEvent

All Implemented Interfaces:
  ConfigurableEntity, EventConstants, Serializable

public class GenericTrackingEvent
extends TrackingEvent

Implementation of the abstract TrackingEvent class. If you want to persist these events, then the BehaviorTrackingMBean must have among "GenericTrackingEvent" its peristed types.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.bea.p13n.tracking.events.TrackingEvent
`APPLICATION, REQUEST, SESSION_ID, USER_ID, USER_TYPE`

Fields inherited from class com.bea.p13n.property.AbstractConfigurableEntity
`CE_METHOD_CACHE, instanceClass, PREFIX_GET, PREFIX_SET, propertyCache, textFormatter`

Fields inherited from interface com.bea.p13n.property.ConfigurableEntity
`RESERVED_PROPERTY_SET`

Fields inherited from interface com.bea.p13n.events.EventConstants
`TYPE_ALL`

Methods inherited from class com.bea.p13n.tracking.events.TrackingEvent
`getSchemaKeys, getSession, getXMLNamespace, getXSDFile, setSchemaKeys, setSession, setXMLNamespace, setXSDFile`

Methods inherited from class com.bea.p13n.events.Event
`getApplication, getAttribute, getAttributeNames, getProperty, getTimeStamp, getType, removeAttribute, setApplication, setAttribute, toString`

Methods inherited from class com.bea.p13n.property.AbstractConfigurableEntity
`createMapKey, getCachedProperty, getExplicitProperty, getExplicitSetter, getImplicitProperty, getJndiName, getPkString, getPropertyAsString, getPropertyCache, getPropertyNoDefault, getUniqueId, hasExplicitGetter, hasExplicitSetter, removeExplicitProperty, removeProperty, setExplicitProperty, setProperty, upcaseFirst`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.bea.p13n.property.ConfigurableEntity
`getJndiName, getPkString, getPropertyAsString, getPropertyNoDefault, getUniqueId, removeProperty, setProperty`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved